# Class PickShape

java.lang.Object
javax.media.j3d.PickShape

Direct Known Subclasses:
  `PickBounds, PickCone, PickCylinder, PickPoint, PickRay, PickSegment`

public abstract class PickShape extends Object
An abstract class for describing a pick shape that can be used with the BranchGroup and Locale picking methods.

See Also:
  - `BranchGroup.pickAll(PickShape)`
  - `Locale.pickAll(PickShape)`

## Constructor Summary

Constructors
Constructor
Description
`PickShape()`
Constructs a PickShape object.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickShape

public PickShape()
Constructs a PickShape object.